%define major	1

Summary:	The zlib compression and decompression library
Name:		zlib
Version:	1.1.3
Release: 15mdk
Group:		System/Libraries

Source:		ftp://ftp.uu.net/graphics/png/zlib-%version.tar.bz2
Patch0:		zlib-1.1.3-glibc.patch.bz2

Url:		http://www.cdrom.com/pub/infozip/zlib/
License:	BSD
Buildroot:	%_tmppath/%name-%version-%release-root
Obsoletes:	libz, libz1

%description
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  This version of the library supports only one compression method
(deflation), but other algorithms may be added later, which will have
the same stream interface.  The zlib library is used by many different
system programs.

%package -n %name%major
Summary:	The zlib compression and decompression library
Group:		System/Libraries
Obsoletes:      libz, libz1, %name
Provides:	%name

%description -n %name%major
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  This version of the library supports only one compression method
(deflation), but other algorithms may be added later, which will have
the same stream interface.  The zlib library is used by many different
system programs.

%package -n %name%major-devel
Summary:	Header files and libraries for developing apps which will use zlib
Group:		Development/C
Requires:	%name%major = %version-%release
Obsoletes:	libz1-devel, libz-devel, zlib-devel
Provides:	%name-devel

%description -n %name%major-devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.

Install the zlib-devel package if you want to develop applications that
will use the zlib library.

%prep

%setup -q -n zlib-%version
%patch0 -p1

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" ./configure --shared --prefix=%_prefix
%make

# Build static lib
CFLAGS="%optflags" CXXFLAGS="%optflags" ./configure --prefix=%_prefix
%make

%install
install -d %buildroot/%_prefix

./configure --shared --prefix=%_prefix
make install prefix=%buildroot/%_prefix

./configure --prefix=%_prefix
make install prefix=%buildroot/%_prefix

install -m644 zutil.h %buildroot/%_includedir/zutil.h
install -d %buildroot/%_mandir/man3
install -m644 zlib.3 %buildroot/%_mandir/man3

install -d %buildroot/lib
mv %buildroot%{_libdir}/*.so.* %buildroot/lib
ln -s ../../lib/libz.so.%{version} %buildroot%{_libdir}

%clean
rm -fr %buildroot

%post -n %name%major
/sbin/ldconfig

%postun -n %name%major
/sbin/ldconfig

%post -n %name%major-devel
/sbin/ldconfig

%postun -n %name%major-devel
/sbin/ldconfig

%files -n %name%major
%defattr(-,root,root)
/lib/libz.so.*
%_libdir/libz.so.*

%files -n %name%major-devel
%defattr(-,root,root)
%doc README ChangeLog algorithm.txt
%_libdir/*.a
%_libdir/*.so
%_includedir/*
%_mandir/man3/zlib.3*

%changelog
* Mon Feb 26 2001 Pixel <pixel@mandrakesoft.com> 1.1.3-15mdk
- move the lib to /lib

* Wed Jan 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.3-14mdk
- obsoletes zlib to be able to upgrade...

* Fri Jan 12 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.3-13mdk
- Fix libdification disastear
- s/Copyright/License
- Fix Requires section
- Macros
- Spec clean up

# Dadou - 1.1.3-13mdk - This one was 1.1.3-12mdk
* Thu Jan 11 2001 Francis Galiegue <fg@mandrakesoft.com> 1.1.3-1mdk
- New lib policy:
  * s,zlib,libz1,
  * Obsoletes and provides zlib (and -devel)
- Some spec file fixes

* Thu Aug 31 2000 Etienne Faure <etienne@mandrakesoft.com> 1.1.3-11mdk
- rebuilt with %doc and _mandir macros

* Mon Apr 03 2000 Jerome Martin <jerome@mandrakesoft.com> 1.1.3-10mdk
- specfile updated to work with spec-helper
- fixed group

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build Release.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue Jul 12 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- handle RPM_OPT_FLAGS

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- link against glibc

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.1.3

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.2
- buildroot

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- added URL tag (down at the moment so it may not be correct)
- made zlib-devel require zlib

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
